## zfs-linux 0.7.5

=== debian/changelog ===
zfs-linux (0.7.5-1ubuntu16.12) bionic; urgency=medium

  * Improve scrub testing in kernel-smoke-test-scrub (LP: #1934910)
    On some slower small memory systems we need to check until resilvering
    has completed. The most reliably method is to poll on a scrub until
    it finishes successfully. Give up after ~15 minutes and flag a failure
    if the scrub can't start or complete successfully.

 -- Colin Ian King <colin.king@canonical.com>  Thu, 8 Jul 2021 08:51:21 +0100

zfs-linux (0.7.5-1ubuntu16.11) bionic; urgency=medium

  * Fix race condition in zfs_iput_async (LP: #1916486)
    - Upstream ZFS fix 43eaef6de817 ("Fix zrele race in zrele_async that can
      cause hang")

 -- Heitor Alves de Siqueira <halves@canonical.com>  Thu, 25 Feb 2021 17:20:20 +0000

zfs-linux (0.7.5-1ubuntu16.10) bionic; urgency=medium

  * Fix zfs-dkms build on arm64 with PREEMPTION and BLK_CGROUP (LP: #1892001)
    - 4700-Fix-DKMS-build-on-arm64-with-PREEMPTION-and-BLK_CGRO.patch
      preempt_schedule_notrace is GPL-only so redfine it to preempt_schedule
      on arm64 with PREEMPTION and BLK_CGROUP enabled to 'fix' the DKMS
      build failure.

 -- Juerg Haefliger <juergh@canonical.com>  Tue, 18 Aug 2020 11:10:41 +0200

zfs-linux (0.7.5-1ubuntu16.9) bionic; urgency=medium

  * Fix scan rate reporting statistics (LP: #1860182)
    - 3322-add-scrub-compat-fixes.patch
    - 2200-add-zfs-0.6.x-ioctl-compat-shim.patch (refreshed)
    Use the zfs 8.x pool_scan_stat_t extra fields to calculate
    the scan progress when using zfs 8.x kernel drivers. For
    0.7.5 we can pass the larger 8.x port_scan_stat_t to 0.7.5
    zfs w/o problems and ignore these new fields and continue
    to use the 0.7.5 rate calculations.
    Refresh the ioctl compat shim to export the zfs module
    version for the scrub version check.

 -- Colin Ian King <colin.king@canonical.com>  Thu, 27 Feb 2020 17:09:12 +0000

zfs-linux (0.7.5-1ubuntu16.8) bionic; urgency=medium

  * Backport Linux compat fixes to allow ZFS to build
    on kernels up to 5.3 (LP: #1856704)
    - 3300-Linux-4.16-compat-inode_set_iversion.patch
    - 3301-Linux-4.16-compat-use-correct-_dec_and_test.patch
    - 3302-Linux-4.16-compat-get_disk_and_module.patch
    - 3303-Linux-compat-4.16-blk_queue_flag_-set-clear.patch
    - 3304-Linux-4.18-compat-inode-timespec-timespec64.patch
    - 3305-Linux-4.14-compat-blk_queue_stackable.patch
    - 3306-Linux-4.19-rc3-compat-Remove-refcount_t-compat.patch
    - 3307-Linux-5.0-compat-access_ok-drops-type-parameter.patch
    - 3308-Linux-5.0-compat-Use-totalram_pages.patch
    - 3309-Linux-5.0-compat-Convert-MS_-macros-to-SB_.patch
    - 3310-Linux-5.0-compat-Fix-SUBDIRs.patch
    - 3311-Linux-5.0-compat-Disable-vector-instructions-on-5.0-.patch
    - 3312-Linux-5.0-compat-Fix-bio_set_dev.patch
    - 3313-Linux-5.0-compat-Remove-incorrect-ASSERT.patch
    - 3314-Linux-5.0-compat-Use-totalhigh_pages.patch
    - 3315-Linux-5.0-compat-ASM_BUG-macro.patch
    - 3316-Linux-5.2-compat-rw_tryupgrade.patch
    - 3317-Linux-5.2-compat-Directly-call-wait_on_page_bit.patch
    - 3318-Linux-5.3-compat-Makefile-subdir-m-no-longer-support.patch
    - 3319-Linux-5.3-Fix-switch-fall-though-compiler-errors.patch
    - 3320-zpios-deprecate-current-kernel-time.patch
    - 3321-add-compat-check-disk-size-change.patch

 -- Colin Ian King <colin.king@canonical.com>  Thu, 17 Dec 2019 14:15:16 +0000

zfs-linux (0.7.5-1ubuntu16.7) bionic; urgency=medium

  * Fix livelock between ZFS evict and writeback threads (LP: #1856084)
    - Upstream ZFS fix 41e1aa2a06f8 ("Break out of zfs_zget early if unlinked
      znode")
    - Upstream ZFS fix 0c46813805f4 ("Check for unlinked znodes after
      igrab()")

 -- Heitor Alves de Siqueira <halves@canonical.com>  Thu, 12 Dec 2019 12:51:35 -0300

zfs-linux (0.7.5-1ubuntu16.6) bionic; urgency=medium

  * Fix hung z_zvol tasks during 'zfs receive' (LP: #1772412)
    - Adds a dedicated, per-pool, prefetch taskq to prevent the traverse
      code from monopolizing the global (and limited) system_taskq by
      inappropriately scheduling long running tasks on it. This fixes
      z_zvol hung tasks.

 -- Colin Ian King <colin.king@canonical.com>  Wed, 29 May 2019 17:24:22 +0100

zfs-linux (0.7.5-1ubuntu16.5) bionic; urgency=medium

  * Fix build error with tracepoints enabled (LP: #1828763)
    - In b49151d684f44 (bionic kernel master-next branch) tx_waited has been
      renamed to tx_dirty_delayed, but only in the tracepoint definition (in
      trace_dmu.h) and not in the rest of the code, causing build errors if
      zfs tracepoints are enabled; fix by reverting tx_dirty_delayed back to
      the original name tx_waited.

 -- Andrea Righi <andrea.righi@canonical.com>  Thu, 16 May 2019 11:10:04 +0200

zfs-linux (0.7.5-1ubuntu16.4) bionic; urgency=medium

  * Fix error exit when using -t option (LP: #1769937)
    - Upstream ZFS fix 4ceb8dd6fdfd ("Fix 'zpool create -t <tempname>'")
      fixes error message and error exit when using the -t option
      when creating a pool.

 -- Colin Ian King <colin.king@canonical.com>  Wed, 12 Sep 2018 10:31:47 +0100

zfs-linux (0.7.5-1ubuntu16.3) bionic; urgency=medium

  * Fix zpl_mount() deadlock (LP: #1781364)
    - Upstream ZFS fix ac09630d8b0b ("Fix zpl_mount() deadlock")
      fixes deadlock on multiple parallelized mount/umounts

 -- Colin Ian King <colin.king@canonical.com>  Thu, 12 Jul 2018 09:18:24 +0100

zfs-linux (0.7.5-1ubuntu16.2) bionic; urgency=medium

  * Revert previous fix, re-work by checking for
    a container using /run/systemd/container and
    set timeout to zero for zfs list or zpool status
    when running inside a container (LP: #1760173)

 -- Colin Ian King <colin.king@canonical.com>  Thu, 7 Jun 2018 17:25:12 +0100

zfs-linux (0.7.5-1ubuntu16.1) bionic; urgency=medium

  * Set timeout to zero for zfs list or zpool status
    when running inside a container (LP: #1760173)

 -- Colin Ian King <colin.king@canonical.com>  Thu, 7 Jun 2018 09:55:11 +0100


