=== debian/tests/control ===
Tests: kernel-smoke-test
Restrictions: needs-root
Depends: zfsutils-linux, zfs-zed, zfs-initramfs, zfs-dkms
