=== debian/watch ===
version=3
http://zfsonlinux.org/ .*zfs-([\d\.]+)\.tar\.gz$
