=== debian/rules ===
--- 
+++ 
@@ -34,7 +34,7 @@
 	dh $@ --with autoreconf,dkms,python3,systemd --parallel
 
 override_dh_auto_configure:
-	@cp debian/control.in debian/control
+	sed "s/@LINUX_COMPAT@/linux-libc-dev \(< $(shell debian/get_next.sh)\)/" debian/control.in > debian/control
 ifeq ($(BUILD_UDEB), true)
 	cat debian/control.udeb.in >> debian/control
 endif
@@ -141,7 +141,7 @@
 	dh_auto_clean
 	debconf-updatepo
 	@if test -e META.orig; then mv META.orig META; fi
-	cp debian/control.in debian/control
+	sed "s/@LINUX_COMPAT@/linux-libc-dev \(< $(shell debian/get_next.sh)\)/" debian/control.in > debian/control
 ifeq ($(BUILD_UDEB), true)
 	cat debian/control.udeb.in >> debian/control
 endif
