## zfs-linux 0.7.9

=== debian/changelog ===
zfs-linux (0.7.9-3ubuntu6) cosmic; urgency=medium

  * Fix error exit when using -t option (LP: #1769937)
    - Upstream ZFS fix 4ceb8dd6fdfd ("Fix 'zpool create -t <tempname>'")
      fixes error message and error exit when using the -t option
      when creating a pool.

 -- Colin Ian King <colin.king@canonical.com>  Wed, 12 Sep 2018 10:31:47 +0100

zfs-linux (0.7.9-3ubuntu5) cosmic; urgency=medium

  * zfsutils-linux: Only Suggest zfs-modules on 32-bit platforms to avoid
    yanking zfs-dkms into main due to platforms that don't build modules.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 26 Jul 2018 05:17:55 -0600

zfs-linux (0.7.9-3ubuntu4) cosmic; urgency=medium

  * Fix zpl_mount() deadlock (LP: #1781364)
    - Upstream ZFS fix ac09630d8b0b ("Fix zpl_mount() deadlock")
      fixes deadlock on multiple parallelized mount/umounts

 -- Colin Ian King <colin.king@canonical.com>  Thu, 12 Jul 2018 09:18:24 +0100

zfs-linux (0.7.9-3ubuntu3) cosmic; urgency=medium

  * Add backport of upstream 4.18 compat fixes
    - Linux 4.18 compat: inode timespec -> timespec64
    - Linux compat 4.18: check_disk_size_change()

 -- Colin Ian King <colin.king@canonical.com>  Mon, 9 Jul 2018 17:15:49 +0100

zfs-linux (0.7.9-3ubuntu2) cosmic; urgency=medium

  * Remove zinject, ztest, zpios to keep in sync with Debian upstream
    as these are ZFS debug tools and not required for mainstream zfs work

 -- Colin Ian King <colin.king@canonical.com>  Sat, 30 Jun 2018 17:26:28 +0100

zfs-linux (0.7.9-3ubuntu1) cosmic; urgency=medium

  * Sync with Debian 0.7.9-3
  * Pull in ubuntu sauce patches from bionic ZFS 0.7.5
  * Pull in bug fixes that are in bionic 0.7.5
  * Sync deltas between bionic and debian control.in

 -- Colin Ian King <colin.king@canonical.com>  Fri, 29 Jun 2018 11:35:16 +0100

zfs-linux (0.7.9-3) unstable; urgency=medium

  [ Antonio Russo ]
  * Expand zfs-test and add Breaks/Conflicts (Closes: #899047)

  [ Aron Xu ]
  * d/control: migrate to alioth-lists (Closes: #899756)

 -- Aron Xu <aron@debian.org>  Mon, 28 May 2018 18:22:02 +0800

zfs-linux (0.7.9-2) unstable; urgency=medium

  [ Aron Xu ]
  * Move more zfs test tools to zfs-test package (Closes: #868653)
  * New upstream version 0.7.9
  * d/rules: add --enable-systemd
  * Fix lintian obsolete-relation-form-in-source
  * Bump supported linux version to 4.16

  [ Antonio Russo ]
  * Install enum-extract.pl with dkms
  * Handle /proc/kallsym obfuscation (Closes: #891936)

 -- Aron Xu <aron@debian.org>  Thu, 17 May 2018 23:47:29 +0800
