=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: zfs-linux
 Section: contrib/kernel
 Priority: optional
-Maintainer: Debian ZFS on Linux maintainers <pkg-zfsonlinux-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian ZFS on Linux maintainers <pkg-zfsonlinux-devel@lists.alioth.debian.org>
 Uploaders: Aron Xu <aron@debian.org>,
            Petter Reinholdtsen <pere@debian.org>,
            Carlos Alberto Lopez Perez <clopez@igalia.com>
@@ -91,7 +92,7 @@
 Pre-Depends: spl-dkms (<<${source:Upstream-Version}.),
              spl-dkms (>= ${source:Upstream-Version})
 Depends: dkms (>> 2.1.1.2-5), lsb-release, ${misc:Depends}
-Recommends: zfs-zed, zfsutils-linux (>= ${binary:Version}), linux-libc-dev (< 4.16)
+Recommends: zfs-zed, zfsutils-linux (>= ${binary:Version}), linux-libc-dev (<< 4.17)
 Provides: zfs-modules
 Description: OpenZFS filesystem kernel modules for Linux
  The Z file system is a pooled filesystem designed for maximum data
@@ -100,6 +101,13 @@
  .
  This DKMS package includes the SPA, DMU, ZVOL, and ZPL components of
  OpenZFS.
+
+Package: zfs-doc
+Section: contrib/doc
+Architecture: all
+Depends: ${misc:Depends}
+Description: Native OpenZFS filesystem documentation and examples.
+ Shared boilerplate files for OpenZFS on Linux that are not required at runtime.
 
 Package: zfs-initramfs
 Architecture: all
@@ -134,10 +142,11 @@
 Section: contrib/admin
 Architecture: linux-any
 Depends: python3, ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
-Recommends: lsb-base, zfs-modules | zfs-dkms, zfs-zed
+Recommends: lsb-base, zfs-modules [amd64 arm64 ppc64el s390x] | zfs-dkms [amd64 arm64 ppc64el s390x], zfs-zed
 Breaks: zfs-dkms (<< ${binary:Version}), zfs-dkms (>> ${binary:Version})
 Suggests: nfs-kernel-server,
           samba-common-bin (>= 3.0.23),
+          zfs-modules [armhf i386] | zfs-dkms [armhf i386],
           zfs-initramfs | zfs-dracut
 Conflicts: zfs, zfs-fuse
 Provides: zfsutils
@@ -152,10 +161,10 @@
 Package: zfs-zed
 Section: contrib/admin
 Architecture: linux-any
-Depends: zfs-modules | zfs-dkms,
-         zfsutils-linux (>= ${binary:Version}),
+Depends: zfsutils-linux (>= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
+Suggests: zfs-modules | zfs-dkms
 Description: OpenZFS Event Daemon
  The Z file system is a pooled filesystem designed for maximum data
  integrity, supporting data snapshots, multiple copies, and data
@@ -180,8 +189,8 @@
          zfsutils-linux (>=${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Breaks: zfsutils-linux (<= 0.6.5.11-1)
-Replaces: zfsutils-linux (<= 0.6.5.11-1)
+Breaks: zfsutils-linux (<= 0.7.9-2)
+Replaces: zfsutils-linux (<= 0.7.9-2)
 Conflicts: zutils
 Description: OpenZFS test infrastructure an support scripts
  The Z file system is a pooled filesystem designed for maximum data
