=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: zfs-linux
 Section: contrib/kernel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian ZFS on Linux maintainers <pkg-zfsonlinux-devel@lists.alioth.debian.org>
+Maintainer: Debian ZFS on Linux maintainers <pkg-zfsonlinux-devel@alioth-lists.debian.net>
 Uploaders: Aron Xu <aron@debian.org>,
            Petter Reinholdtsen <pere@debian.org>,
-           Carlos Alberto Lopez Perez <clopez@igalia.com>
+           Carlos Alberto Lopez Perez <clopez@igalia.com>,
+           Mo Zhou <cdluminate@gmail.com>,
 Build-Depends: autotools-dev,
                debhelper (>= 10.2),
                dh-autoreconf,
@@ -22,7 +22,7 @@
                zlib1g-dev
 Standards-Version: 4.1.2
 Homepage: http://www.zfsonlinux.org/
-Vcs-Git: git@salsa.debian.org:zfsonlinux-team/zfs.git
+Vcs-Git: https://salsa.debian.org/zfsonlinux-team/zfs.git
 Vcs-Browser: https://salsa.debian.org/zfsonlinux-team/zfs
 
 Package: libnvpair1linux
@@ -91,8 +91,8 @@
 Architecture: all
 Pre-Depends: spl-dkms (<<${source:Upstream-Version}.),
              spl-dkms (>= ${source:Upstream-Version})
-Depends: dkms (>> 2.1.1.2-5), lsb-release, ${misc:Depends}
-Recommends: zfs-zed, zfsutils-linux (>= ${binary:Version}), linux-libc-dev (<< 4.17)
+Depends: dkms (>> 2.1.1.2-5), dpkg-dev, lsb-release, ${misc:Depends}
+Recommends: zfs-zed, zfsutils-linux (>= ${binary:Version}), linux-libc-dev (<< 4.19~)
 Provides: zfs-modules
 Description: OpenZFS filesystem kernel modules for Linux
  The Z file system is a pooled filesystem designed for maximum data
@@ -101,13 +101,6 @@
  .
  This DKMS package includes the SPA, DMU, ZVOL, and ZPL components of
  OpenZFS.
-
-Package: zfs-doc
-Section: contrib/doc
-Architecture: all
-Depends: ${misc:Depends}
-Description: Native OpenZFS filesystem documentation and examples.
- Shared boilerplate files for OpenZFS on Linux that are not required at runtime.
 
 Package: zfs-initramfs
 Architecture: all
@@ -142,11 +135,10 @@
 Section: contrib/admin
 Architecture: linux-any
 Depends: python3, ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
-Recommends: lsb-base, zfs-modules [amd64 arm64 ppc64el s390x] | zfs-dkms [amd64 arm64 ppc64el s390x], zfs-zed
+Recommends: lsb-base, zfs-modules | zfs-dkms, zfs-zed
 Breaks: zfs-dkms (<< ${binary:Version}), zfs-dkms (>> ${binary:Version})
 Suggests: nfs-kernel-server,
           samba-common-bin (>= 3.0.23),
-          zfs-modules [armhf i386] | zfs-dkms [armhf i386],
           zfs-initramfs | zfs-dracut
 Conflicts: zfs, zfs-fuse
 Provides: zfsutils
@@ -161,10 +153,10 @@
 Package: zfs-zed
 Section: contrib/admin
 Architecture: linux-any
-Depends: zfsutils-linux (>= ${binary:Version}),
+Depends: zfs-modules | zfs-dkms,
+         zfsutils-linux (>= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Suggests: zfs-modules | zfs-dkms
 Description: OpenZFS Event Daemon
  The Z file system is a pooled filesystem designed for maximum data
  integrity, supporting data snapshots, multiple copies, and data
